<?php

namespace B2buy\TestPackage\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Test1 policy
        'B2buy\TestPackage\Models\Test1' => \B2buy\TestPackage\Policies\Test1Policy::class,// Bind Bond policy
        'B2buy\TestPackage\Models\Bond' => \B2buy\TestPackage\Policies\BondPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
